Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159139 - Type is hidden below the Directory selector in Save as... dialog
Summary: Type is hidden below the Directory selector in Save as... dialog
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 15:50 UTC by Dave Malcolm
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-31 07:34:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 46800 None None None Never

Description Dave Malcolm 2005-05-30 15:50:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. File->Save As, wanting to save a .odp file as .sxw

  

Actual Results:  Widget for selecting the type of the file is hidden inside the "Select other directory" part of the directory; various other options are visible outside.

Expected Results:  Saw that autofilename extension was on (in the area of the dialog that was visible by default), and typed "test.sxw"; a file called "test.sxw.odp" was created.

Current way this dialog works is confusing; suggest that file type ought not to be below "Browse for other directories"

Additional info:

Comment 1 Dave Malcolm 2005-05-30 16:43:48 UTC
File->Export... appears to have the same problem

openoffice.org-impress.1.9.104-2

Comment 2 Caolan McNamara 2005-05-31 07:34:50 UTC
I've patches to implement a fpicker like the gimp-2.2 to seperate type and
filtering. (http://qa.openoffice.org/issues/show_bug.cgi?id=46800) which I'm
working on at the moment


Note You need to log in before you can comment on or make changes to this bug.